import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { PlatypusFinanceContractFactory, PlatypusFinanceMasterPlatypusV2 } from '../contracts';
export declare class AvalanchePlatypusFinanceChefContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<PlatypusFinanceMasterPlatypusV2> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: PlatypusFinanceContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: PlatypusFinanceContractFactory);
    getContract(address: string): PlatypusFinanceMasterPlatypusV2;
    getPoolLength(contract: PlatypusFinanceMasterPlatypusV2): Promise<import("ethers").BigNumber>;
    getStakedTokenAddress(contract: PlatypusFinanceMasterPlatypusV2, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: PlatypusFinanceMasterPlatypusV2): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<PlatypusFinanceMasterPlatypusV2>): Promise<import("ethers").BigNumber>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<PlatypusFinanceMasterPlatypusV2>): Promise<import("ethers").BigNumber>;
    getPoolAllocPoints({ contract, definition }: GetMasterChefDataPropsParams<PlatypusFinanceMasterPlatypusV2>): Promise<import("ethers").BigNumber>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PlatypusFinanceMasterPlatypusV2>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PlatypusFinanceMasterPlatypusV2>): Promise<number | import("ethers").BigNumber>;
}
